#ifndef TEST_RING_BUFFER_H
#define TEST_RING_BUFFER_H

/*!
  \file
  \brief LeastSquare のテスト

  \author Satofumi KAMIMURA

  $Id: TestLeastSquare.h 1264 2009-08-28 11:11:52Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


/*!
  \brief LeastSquare のテストクラス
*/
class TestLeastSquare : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE(TestLeastSquare);
  CPPUNIT_TEST(compileTest);
  CPPUNIT_TEST(abTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void compileTest(void);
  void abTest(void);
};

#endif /* !TEST_RING_BUFFER_H */
